
/*
  MPT Player Demo

  Przyklad wykorzystania relocatora dla plikow MPT (MPT_RELOCATOR.MAC)
  oraz playera MPT (MPT_PLAYER.ASM)

  Makro MPT_RELOCATOR.MAC odczytuje z pliku informacje na temat dlugosci
  patternow (etykieta globalna LENPAT) i tempa gry (etykieta globalna SPEED)  

  Nowy adres dla modulu MPT definiuje etykieta MSX
*/

msx	equ $4123
ntsc_counter = $0600


	mpt_relocator 'quicky.mpt' , msx

	org msx

	.sav [6] ?length


main	
		lda #0
		sta ntsc_counter
loop
        lda:cmp 20 
        beq *-2
;		inc ntsc_counter
;		lda ntsc_counter
;		cmp #6
;		beq main
        jsr mpt_player.play

        jmp loop

        icl 'mpt_player.asm'

;---
        run main

	opt l-
	icl 'mpt_relocator.mac'
